Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2829773003: Make ComputedStyle::InheritFrom group independent. (Closed)

Created:
2 years, 4 months ago by shend
Modified:
2 years, 4 months ago
CC:
blink-reviews, blink-reviews-style_chromium.org, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make ComputedStyle::InheritFrom group independent. In ComputedStyle::InheritFrom, we assume that the UserModify() field is always stored in RareInheritedData. After we generate the user-modify property, we might want to change where it is stored, so UserModify may no longer be in RareInheritedData. This patch rearranges the logic in the function so that UserModify can be stored in any subgroup without breaking the code. There are no changes in behaviour. BUG=628043 Review-Url: https://codereview.chromium.org/2829773003 Cr-Commit-Position: refs/heads/master@{#471095} Committed: https://chromium.googlesource.com/chromium/src/+/2389662b9fb0735446c5c8235bcdc1b0ff505366

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Patch Set 4 : Rebase #

Patch Set 5 : Rebase #

Patch Set 6 : Rebase #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -7 lines) Patch
M third_party/WebKit/Source/core/style/ComputedStyle.cpp View 1 2 3 4 5 1 chunk +7 lines, -7 lines 2 comments Download

Messages

Total messages: 64 (55 generated)
shend
Hi Naina, PTAL
2 years, 4 months ago (2017-04-20 07:12:34 UTC) #10
nainar
lgtm
2 years, 4 months ago (2017-04-20 07:16:28 UTC) #11
shend
Hi Alan, PTAL
2 years, 4 months ago (2017-04-28 05:27:40 UTC) #29
alancutter (OOO until 2018)
Does this fix a bug? Are there any changes in behaviour? It seems like this ...
2 years, 4 months ago (2017-05-08 07:22:55 UTC) #40
shend
On 2017/05/08 at 07:22:55, alancutter wrote: > Does this fix a bug? Are there any ...
2 years, 4 months ago (2017-05-08 22:17:59 UTC) #44
alancutter (OOO until 2018)
lgtm https://codereview.chromium.org/2829773003/diff/100001/third_party/WebKit/Source/core/style/ComputedStyle.cpp File third_party/WebKit/Source/core/style/ComputedStyle.cpp (right): https://codereview.chromium.org/2829773003/diff/100001/third_party/WebKit/Source/core/style/ComputedStyle.cpp#newcode317 third_party/WebKit/Source/core/style/ComputedStyle.cpp:317: ComputedStyleBase::InheritFrom(inherit_parent, is_at_shadow_boundary); Unrelated to this patch: Why does ...
2 years, 4 months ago (2017-05-09 00:09:18 UTC) #45
shend
https://codereview.chromium.org/2829773003/diff/100001/third_party/WebKit/Source/core/style/ComputedStyle.cpp File third_party/WebKit/Source/core/style/ComputedStyle.cpp (right): https://codereview.chromium.org/2829773003/diff/100001/third_party/WebKit/Source/core/style/ComputedStyle.cpp#newcode317 third_party/WebKit/Source/core/style/ComputedStyle.cpp:317: ComputedStyleBase::InheritFrom(inherit_parent, is_at_shadow_boundary); On 2017/05/09 at 00:09:18, alancutter wrote: > ...
2 years, 4 months ago (2017-05-09 00:16:02 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2829773003/100001
2 years, 4 months ago (2017-05-11 22:19:57 UTC) #61
commit-bot: I haz the power
2 years, 4 months ago (2017-05-11 22:36:25 UTC) #64
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/2389662b9fb0735446c5c8235bcd...

Powered by Google App Engine
This is Rietveld 408576698